//////////////////////////////////////////
// Album.cpp
//Copyright (c) 02/28/2022 by BCCSkelton
//////////////////////////////////////////
#include	"Album.h"
#include	"User.h"
#include	"AlbumProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//データファイル付きで起動する場合（ByFileフラグを立てる）
	if(g_Arg.c() > 1)
		g_ByFile = TRUE;

	//２重起動防止
	if(!Album.IsOnlyOne()) {
		//ここに２重起動時の処理を書く（下記は１例）
		HWND hWnd = FindWindow("MainWnd", "Album");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）MAKEINTRESOURCE(IDI_ICON), IDC_ARROW, Brush)
	Album.Init("MainWnd", hInstance, SDIPROC, "IDM_MAIN", MAKEINTRESOURCE(IDI_ICON));

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	//WM_LBUTTONDBLCLKを使うためにウィンドウスタイルにCS_DBLCLKSを追加する
	if(!Album.Create("Album", WS_OVERLAPPEDWINDOW | CS_DBLCLKS))
		return 0L;

	//メッセージループに入る
	return Album.Loop();
}
